package com.mx.dla.dda.reporte.cpview.dtos;

import java.io.Serializable;
import java.util.Date;

public class CargaVisualizacionesPrincipalDTO implements Serializable {

	private static final long serialVersionUID = 3760466954898809472L;

	private Long			  idCarga;
	private String			  archivoXlsx;
	private String			  expediente;
	private Date			  fechaEntrega;
	private Long			  totalRegistros;
	private Long			  totalCargados;
	private Long			  totalError;
	private Date			  mes;

	public Long getIdCarga() {
		return idCarga;
	}

	public void setIdCarga(Long idCarga) {
		this.idCarga = idCarga;
	}

	public String getArchivoXlsx() {
		return archivoXlsx;
	}

	public void setArchivoXlsx(String archivoXlsx) {
		this.archivoXlsx = archivoXlsx;
	}

	public String getExpediente() {
		return expediente;
	}

	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	public Date getFechaEntrega() {
		return fechaEntrega;
	}

	public void setFechaEntrega(Date fechaEntrega) {
		this.fechaEntrega = fechaEntrega;
	}

	public Long getTotalRegistros() {
		return totalRegistros;
	}

	public void setTotalRegistros(Long totalRegistros) {
		this.totalRegistros = totalRegistros;
	}

	public Long getTotalCargados() {
		return totalCargados;
	}

	public void setTotalCargados(Long totalCargados) {
		this.totalCargados = totalCargados;
	}

	public Long getTotalError() {
		return totalError;
	}

	public void setTotalError(Long totalError) {
		this.totalError = totalError;
	}

	public Date getMes() {
		return mes;
	}

	public void setMes(Date mes) {
		this.mes = mes;
	}

	@Override
	public String toString() {
		return "CargaVisualizacionesPrincipalDTO [idCarga=" + idCarga + ", archivoXlsx=" + archivoXlsx + ", expediente=" + expediente + ", fechaEntrega=" + fechaEntrega + ", totalRegistros="
		        + totalRegistros + ", totalCargados=" + totalCargados + ", totalError=" + totalError + ", mes=" + mes + "]";
	}

}
